Runs API
Get run details
Retrieve full details for a specific run including logs, report URL, and execution metadata.
Authorization
bearerAuth AuthorizationBearer <token>
CLI token (sck_live_*) for full API access, or trigger key (sck_trigger_* / legacy job_*) for job trigger endpoint only.
In: header
Path Parameters
runId*string
Run ID
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://demo.supercheck.dev/api/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"jobId": "9d222c6d-893e-4e79-8201-3c9ca16a0f39",
"jobName": "string",
"jobType": "playwright",
"status": "queued",
"trigger": "manual",
"duration": "string",
"durationMs": 0,
"startedAt": "2019-08-24T14:15:22Z",
"completedAt": "2019-08-24T14:15:22Z",
"logs": "string",
"errorDetails": "string",
"reportUrl": "string",
"testCount": 0,
"location": "string",
"projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
"organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9"
}{
"error": "Unauthorized"
}{
"error": "Not found"
}